OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpNoSuchInstance

    java.lang.Object
      org.opennms.protocols.snmp.SnmpV2Error
          org.opennms.protocols.snmp.SnmpNoSuchInstance

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, SnmpSyntax

public class SnmpNoSuchInstance
extends SnmpV2Error

The SnmpNoSuchInstance object is typically returned by an SNMPv2 agent when there is no matching object identifier instance in its tables. The object is an SNMPv2 error condition. This condition can be returned to a manager on a variable by variable basis.

Version:
  1.1.1.1
Author:
  Brian Weaver
See Also:
  `SnmpVarBind`, Serialized Form

Field Summary
`static byte` `ASNTYPE` The ASN.1 value that defines this variable.
`(package private) static long` `serialVersionUID` Defines the serialization format.

Constructor Summary
`SnmpNoSuchInstance()` The default class construtor.
`SnmpNoSuchInstance(SnmpNoSuchInstance second)` The class copy constructor.

Method Summary
`java.lang.Object` `clone()` Returns a duplicate object of self.
`SnmpSyntax` `duplicate()` Returns a duplicate object of self.
`java.lang.String` `toString()` Returns the string representation of the object.
`byte` `typeId()` Returns the ASN.1 type for this particular object.

Methods inherited from class org.opennms.protocols.snmp.SnmpV2Error
`decodeASN, encodeASN`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Defines the serialization format.

  See Also:
    Constant Field Values

### ASNTYPE

    public static final byte ASNTYPE

  The ASN.1 value that defines this variable.

  See Also:
    Constant Field Values

Constructor Detail

### SnmpNoSuchInstance

    public SnmpNoSuchInstance()

  The default class construtor.

### SnmpNoSuchInstance

    public SnmpNoSuchInstance(SnmpNoSuchInstance second)

  The class copy constructor.

Parameters:
  `second` - The object to copy into self.

Method Detail

### typeId

    public byte typeId()

  Returns the ASN.1 type for this particular object.

  Specified by:
    `typeId` in interface `SnmpSyntax`
  Specified by:
    `typeId` in class `SnmpV2Error`
  Returns:
    ASN.1 identifier

### duplicate

    public SnmpSyntax duplicate()

  Returns a duplicate object of self.

  Specified by:
    `duplicate` in interface `SnmpSyntax`
  Specified by:
    `duplicate` in class `SnmpV2Error`
  Returns:
    A duplicate of self

### clone

    public java.lang.Object clone()

  Returns a duplicate object of self.

  Specified by:
    `clone` in class `SnmpV2Error`
  Returns:
    A duplicate of self

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.